bootstrap.seq {phyclust} | R Documentation

## Bootstrap Sequences from a Fitted Model and Star Tree.

### Description

This function bootstraps sequences from a model fitted by `phyclust` and star trees generated by `bootstrap.star.trees`. The fitted model can be varied in `.identifier`.

### Usage

    bootstrap.seq(ret.phyclust, star.trees)

### Arguments

`ret.phyclust` | a phyclust object in `Class phyclust`.
`star.trees` | star trees might be generated by `bootstrap.star.trees`.

### Details

`ret.phyclust` is a phyclust object in `Class phyclust` which is usually fitted by `phyclust`, or returned by `phyclust.m.step`.

`star.trees` should be corresponding to the `ret.phyclust` which might be directly bootstrapped from the function `bootstrap.star.trees`.

### Value

Return a list containing sequences in K clusters.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com

### References

Phylogenetic Clustering Website: https://snoweye.github.io/phyclust/

### See Also

`phyclust`, `bootstrap.star.trees`, `bootstrap.star.trees.seq`.

### Examples

    ## Not run:
    library(phyclust, quiet = TRUE)

    set.seed(1234)
    EMC.1 <- .EMC
    EMC.1$EM.iter <- 1
    # the same as EMC.1 <- .EMControl(EM.iter = 1)

    ret.1 <- phyclust(seq.data.toy$org, 2, EMC = EMC.1)
    ret.tree <- bootstrap.star.trees(ret.1)
    ret.seq <- bootstrap.seq(ret.1, ret.tree)

    ## End(Not run)

[Package phyclust version 0.1-25 Index]